﻿using System;
using Microsoft.AspNetCore.Mvc;
using System.Linq;

namespace Web17
{
    [Route("charger/[action]")]
    public class ChargerController : Controller
    {
        private readonly DemoDBContext _dbcontext;
        public ChargerController(DemoDBContext cxt)
        {
            _dbcontext = cxt;
            // 初始化一些数据
            if (!_dbcontext.Charges.Any())
            {
                Charge c1 = new Charge
                {
                    PhoneNo = "13325236411",
                    Money = 50.00M,
                    Time = new DateTime(2018, 10, 9, 20, 16, 0)
                };
                Charge c2 = new Charge
                {
                    PhoneNo = "15900254200",
                    Money = 100.00M,
                    Time = new DateTime(2018, 6, 22, 19, 0, 0)
                };
                Charge c3 = new Charge
                {
                    PhoneNo = "13500001122",
                    Money = 30.1M,
                    Time = new DateTime(2018, 10, 13, 15, 20, 10)
                };
                _dbcontext.Charges.AddRange(c1, c2, c3);
                _dbcontext.SaveChanges();
            }
        }

        public ActionResult Index()
        {
            return Json(_dbcontext.Charges);
        }
    }
}