﻿using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Design;

namespace Web17
{
    public class Charge
    {
        public int ID { get; set; }
        public DateTime Time { get; set; }
        public decimal Money { get; set; }
        public string PhoneNo { get; set; }
    }

    public class DemoDBContext : DbContext
    {
        public DemoDBContext(DbContextOptions<DemoDBContext> options)
            : base(options) { }

        public DbSet<Charge> Charges { get; set; }

        protected override void OnModelCreating(ModelBuilder modelBuilder)
        {
            modelBuilder.Entity<Charge>().HasKey(o => o.ID);
        }
    }

    public class CustDesigntimeContext : IDesignTimeDbContextFactory<DemoDBContext>
    {
        public DemoDBContext CreateDbContext(string[] args)
        {
            var optionsBuilder = new DbContextOptionsBuilder<DemoDBContext>();
            // 设置连接字符串
            optionsBuilder.UseSqlServer("server=(localdb)\\mssqllocaldb;database=test_db");
            // 创建上下文实例
            return new DemoDBContext(optionsBuilder.Options);
        }
    }
}